class CreateAnnonceAccounts < ActiveRecord::Migration
  def change
    create_table :annonce_accounts do |t|
      t.integer :parent_id
      t.boolean :archived
      t.boolean :enabled
      t.string :username
      t.string :name
      t.string :firstname
      t.string :organisation
      t.string :siret
      t.text :bio
      t.string :avatar
      t.string :localisation
      t.boolean :pro, :default => false
      t.string :token
      
      t.string :address
      t.string :address2
      t.string :cp
      t.string :city
      t.string :country
      
    
      

      ## Database authenticatable
      t.string :email,              :null => false, :default => ""
      t.string :password_digest, :null => false, :default => ""

      ## Recoverable
      t.string   :reset_password_token
      t.datetime :reset_password_sent_at

      ## Rememberable
      t.datetime :remember_created_at

      ## Trackable
      t.integer  :sign_in_count, :default => 0
      t.datetime :current_sign_in_at
      t.datetime :last_sign_in_at
      t.string   :current_sign_in_ip
      t.string   :last_sign_in_ip
      
      t.boolean :lock
      t.datetime :locked_at

      t.timestamps null: false
    end
  end
end
