class CreateNewsgroups < ActiveRecord::Migration
  def change
    create_table :newsgroups do |t|
      t.string :name
      t.string :slug
      t.boolean :default_checked
      t.boolean :enabled

      t.timestamps null: false
    end
    
    Newsgroup.create :name => "Informations importantes (changements des conditions générales, tarifs)", :enabled => true, :default_checked => true
    Newsgroup.create :name => "Informations concernant le site Sideplace.com (nouvelles fonctionnalités, etc.)", :enabled => true, :default_checked => true
    Newsgroup.create :name => "Informations concernant les offres promotionnelles (réductions sur le site, campagnes spécifiques, etc.)", :enabled => true, :default_checked => true
    Newsgroup.create :name => "Informations concernant la société", :enabled => true, :default_checked => true
    Newsgroup.create :name => "Informations concernant le programme d'affiliation", :enabled => true, :default_checked => true
    Newsgroup.create :name => "Informations concernant des partenaires", :enabled => true, :default_checked => false
    
    
      
  end
end
